html
  head
    script(src='https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js')
    script(src='https://code.jquery.com/ui/1.12.1/jquery-ui.js')
    //- script(src="https://code.jquery.com/jquery-3.3.1.slim.min.js", integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo", crossorigin="anonymous")
    script(src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js", integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy", crossorigin="anonymous")
    script(src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js")
    script.
      let data_subdistrict = [];
      let master_location = [];
      let data_items = [];
      let sub_total = '';
      let line_items = [];
      let couriers = '';
      let shipping_price = '';
      let total_price = '';
      let fee_insurance = '';
      let is_insurance = false;
      let cod_shipping = [];
      let shipping = [];
      let bank_account = [];
      let methode_pembayaran = '';

      function methodePembayaran(val){
        $('#metode_pembayaran').html(val);
        $(".list-shipping").empty();

        $.post("http://localhost:3000/get_shipping",
            {
              method: 'create',
              shop: window.location.origin,
              subdistrict_code: $('#inputSubdistrictCode').val(),
              subdistrict_name: $('#inputSubdistrict').val(),
              city_code: $('#inputCityCode').val(),
              city_name: $('#inputCity').val(),
              zip_code: $('#inputZipCode').val(),
              items: data_items
            },function(res){
            // console.log(res);  
            // var $container = $("div.list-shipping");
            for (courier of res.data) {
              if(courier.service){
                if(courier.supportCod === true){
                  cod_shipping.push(courier);
                }
                shipping.push(courier);
              }
            }
            if(val == 'cod') {
              console.log(cod_shipping)
                $("div.list-norek").empty();
                var $container = $("div.list-shipping");
                for (courier of cod_shipping) {
                  const subtotal_price =  courier.price;
                  const label_shipping = courier.courier + ' - ' + courier.service + ' | ' + courier.duration + ' days';
                  $container.append('<div class="form-row"><div class="col-lg-6 col-md-6 col-sm-6 col-xs-6 "><input type="radio" name="RadioInputShipping" value="'+courier.courierCode+'/'+courier.service+'/'+courier.price+'/'+courier.insuranceValue+'" id="Radio_'+courier.service+'" onClick="selectShipping(\'cod\')" /> <label for="Radio_'+courier.service+'">'+label_shipping+'</label></div> <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6" style="display: flex; justify-content: flex-end"> <label>Rp '+(subtotal_price/1000).toFixed(3)+'</h5></label></div></div>');
                }
              }else{
                var $container = $("div.list-shipping");
                for (courier of shipping) {
                  const subtotal_price =  courier.price;
                  const label_shipping = courier.courier + ' - ' + courier.service + ' | ' + courier.duration + ' days';
                  $container.append('<div class="form-row"><div class="col-lg-6 col-md-6 col-sm-6 col-xs-6 "><input type="radio" name="RadioInputShipping" value="'+courier.courierCode+'/'+courier.service+'/'+courier.price+'/'+courier.insuranceValue+'" id="Radio_'+courier.service+'" onClick="selectShipping(\'transfer\')" /> <label for="Radio_'+courier.service+'">'+label_shipping+'</label></div> <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6" style="display: flex; justify-content: flex-end"> <label>Rp '+(subtotal_price/1000).toFixed(3)+'</h5></label></div></div>');
                }
              
              }
          });
        
      }


      function selectShipping(val){
        const courier_vals = $('input[name="RadioInputShipping"]:checked').val();
        couriers = courier_vals.split('/');
        shipping_price = couriers[2];
        fee_insurance = couriers[3];;
        $('#biaya_pengiriman').html('Rp ' + (shipping_price/1000).toFixed(3));
        total_price = parseInt(shipping_price) + parseInt(sub_total);
        $('#total_price').html('Rp ' + (total_price/1000).toFixed(3));
        $('#asuransi').val(fee_insurance);
      }

      function asuransi(){
        if($('#asuransi').is(':checked')){
          const insuranceValue = parseInt($('#asuransi').val());
          total_price = total_price + insuranceValue;
          $('#biaya_asuransi').html('Rp ' + (insuranceValue/1000).toFixed(3));
          $('#total_price').html('Rp ' + (total_price/1000).toFixed(3));
          is_insurance = true;
        }else{
          is_insurance = false;
          $('#biaya_asuransi').empty();
          $('#total_price').html('Rp ' + (total_price/1000).toFixed(3));
        }
       
      }

      $(document).ready(function(){
        document.title = new URL(window.location.origin).host + '- Checkout';
        $('.next1').click(function(e){
          $('#collapseOne').hide();
          $('#collapseTwo').show();
          $('#detail_name').text($('#inputFirstName').val() + ' ' + $('#inputLastName').val());
          $('#detail_address').text($('#inputAddress').val());
          $('#detail_subdistrict').text($('#inputSubdistrict').val() + ', ' + $('#inputCity').val());
          $('#detail_province').text($('#inputProvince').val() + ' ' + $('#inputZipCode').val());
          $('#detail_phone').text($('#inputTelephone').val());
          
          
        });
        $('.next2').click(function(e){
          $('#collapseOne').hide();
          $('#collapseTwo').hide();
          $('#collapseThree').show();
          const methode = $('input[name="Pembayaran"]:checked').val();
          console.log(methode);
          if(methode_pembayaran == 'transfer'){
            $('.metode_pembayaran').show();
            $('.title-no-rek').show();
            $.post("http://localhost:3000/get_account",
            {
              shop: window.location.origin,
            },function(res){
              bank_account =  res.bank_account;
              var $container = $("div.list-norek");
              for (res of bank_account){
                console.log(res);
                const account = res.bank + ': ' + res.account_number + ' (' + res.name + ')';
                $container.append('<p>'+account+'</p>')
              }
             // console.log(res.bank_account)
            });
            
          }
        
        });
         $('.next3').click(function(e){
          $('#collapseOne').hide();
          $('#collapseTwo').hide();
          var today = new Date();
          var date = today.getFullYear()+'-'+(today.getMonth()+1)+'-'+today.getDate();
          var time = today.getHours() + ":" + today.getMinutes() + ":" + today.getSeconds();
          $.post("http://localhost:3000/save_order",
            {
              method: 'create',
              shop: window.location.origin,
              payment: $('input[name="Pembayaran"]:checked').val(),
              delivery_time: date+' '+time,
              line_items: line_items,
              courier: couriers[0],
              courier_service: couriers[1],
              first_name: $('#inputFirstName').val(),
              last_name: $('#inputLastName').val(),
              subdistrict_code: $('#inputSubdistrictCode').val(),
              subdistrict_name: $('#inputSubdistrict').val(),
              city_code: $('#inputCityCode').val(),
              city_name: $('#inputCity').val(),
              province_code: $('#inputProvinceCode').val(),
              province_name: $('#inputProvince').val(),
              phone: $('#inputTelephone').val(),
              address: $('#inputAddress').val(),
              email: $('#inputEmail').val(),
              note: $('#inputNote').val(),
              postal_code: $('#inputZipCode').val(),
              dimension_uom: "cm",
              items : data_items,
              transaction: {
                subtotal: parseInt(sub_total),
                shipping_charge: parseInt(shipping_price),
                fee_insurance: parseInt(fee_insurance),
                is_insuranced: is_insurance,
                discount: 0,
                total_value: parseInt(total_price),
                total_cod: parseInt(total_price),
                weight:0,
                width:0,
                height:0,
                length:0,
                coolie: 1,
                package_category : 'pakaian',
                package_content: 'celana'
              }
            },function(res){
              console.log(res);
              if(res == 'success'){
                alert('sukses')
                document.cookie = 'cart' +'=; Path=/; Expires=Thu, 01 Jan 1970 00:00:01 GMT;';
                window.location =  window.location.origin;
              }else{
                alert(res)
              }
              // console.log(res);
          });

        });
        $("#home").attr("href", window.location.origin);
        $(".cart").attr("href", window.location.origin+'/cart');
        $.ajax({url: window.location.origin+'/cart.js', success: function(result){
          var data_cart = JSON.parse(result);
          sub_total = (data_cart.total_price-(data_cart.total_price%100))/100;
          $('#sub_total').html('Rp ' + (sub_total/1000).toFixed(3));
          $('#total_price').html('Rp ' + (sub_total/1000).toFixed(3));
          var text = "";
          var i;
          for (item of data_cart.items) {
            line_items.push({
              variant_id: item.variant_id,
              qty: item.quantity,
            });
            data_items.push({
              name: item.product_title,
              description: item.product_description,
              weight: item.grams,
              weight_uom: 'gr',
              qty: item.quantity,
              value: item.final_price,
              width: 0,
              height: 0,
              length: 0,
              dimension_uom: 'cm',
              total_value: item.final_line_price
            });
            const final_line_price = item.final_line_price;
            const fix_price = (final_line_price-(final_line_price%100))/100;
            text +=  "<div class='row'><div class='col-lg-8 col-md-8 col-sm-8 col-xs-8'><img src='"+item.featured_image.url+"' alt='"+item.featured_image.alt+"' width='50' height='50'> " + item.quantity + " x " + item.title + '</div><div class="col-lg-4 col-md-4 col-sm-4 col-xs-4" style="display: flex; justify-content: flex-end">' + ' Rp ' + (fix_price/1000).toFixed(3) + "</div></div><br>";
          }
          document.getElementById("demo").innerHTML = text;
        }});

        $.ajax({url: "http://localhost:3000/master_locations", success: function(result){
          result.forEach(function(datax){
            data_subdistrict.push({
              "label": datax.subdistrict_name + ' - ' + datax.city_name,
              "value": datax.subdistrict_name,
              "id": datax.subdistrict_code,
              "city_name": datax.city_name,
              "city_code": datax.city_code,
              "province_code": datax.province_code,
              "province_name": datax.province_name,
            });
          });
        }});
        $(".autocomplete").autocomplete({
          source: data_subdistrict,
          select: function(event, ui) {
            $('#inputSubdistrictCode').val(ui.item.id);
            $('#inputCity').val(ui.item.city_name);
            $('#inputCityCode').val(ui.item.city_code);
            $('#inputProvince').val(ui.item.province_name);
            $('#inputProvinceCode').val(ui.item.province_code);
            $('#inputCountry').val('Indonesia');
          }
        });
      });
    style
      include bootstrap.min.css
      include style.css
  <title>Checkout</title>
  body
    <div class="container">
      <br/>
      <nav aria-label="breadcrumb">
        <ol class="breadcrumb rounded-0">
          <li class="breadcrumb-item"><a href="#" id="home">Home</a></li>
          <li class="breadcrumb-item cart"><a href="#">Cart</a></li>
          <li class="breadcrumb-item active" aria-current="page">Checkout Process</li>
        </ol>
      </nav>
      <div class="row rounded-0">
        <div class="col" id="accordion">
          <div class="card rounded-0">
            <h5 class="card-header"> INFORMASI PELANGGAN </h5>
            <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordion">
              <div class="card-body">
                //- <div class="alert alert-danger rounded-0" role="alert">
                //-   <label>All fields must be filled!</label>
                //- </div>
                <form>
                  <div class="form-row">
                    <div class="form-group col-md-6">
                      <label for="inputFirstName">First Name</label>
                      <input type="text" class="form-control rounded-0" id="inputFirstName" placeholder="First Name" required>
                    </div>
                    <div class="form-group col-md-6">
                      <label for="inputLastName">Last Name</label>
                      <input type="text" class="form-control rounded-0" id="inputLastName" placeholder="Last Name" required>
                    </div>
                  </div>
                  <div class="form-group">
                    <label for="inputAddress">Address</label>
                    <input type="text" class="form-control rounded-0" id="inputAddress" placeholder="Apartment, studio, or floor" required>
                  </div>
                  <div class="form-row">
                    <div class="form-group col-md-6">
                      <label for="inputSubdistrict">Subdisctrict</label>
                      <input class="form-control autocomplete rounded-0" id="inputSubdistrict" placeholder="Subdistrict" required/>
                      <input type="text" class="form-control" id="inputSubdistrictCode" hidden>
                      //- <input id="tags" class="form-control">
                    </div>
                    <div class="form-group col-md-6">
                      <label for="inputCity">City</label>
                      <input type="text" class="form-control rounded-0" id="inputCity" placeholder="City" readonly>
                      <input type="text" class="form-control" id="inputCityCode" hidden>
                    </div>
                  </div>
                  <div class="form-row">
                    <div class="form-group col-md-6">
                      <label for="inputProvince">Province</label>
                      <input type="text" class="form-control rounded-0" id="inputProvince" placeholder="Province" readonly>
                      <input type="text" class="form-control" id="inputProvinceCode" hidden>
                    </div>
                    <div class="form-group col-md-6">
                      <label for="inputCountry">Country</label>
                      <input type="text" class="form-control rounded-0" id="inputCountry" placeholder="Country" readonly>
                    </div>
                  </div>
                  <div class="form-group">
                    <label for="inputAddress">Email</label>
                    <input type="text" class="form-control rounded-0" id="inputEmail" placeholder="Email" required>
                  </div>
                  <div class="form-row">
                    <div class="form-group col-md-8">
                      <label for="inputTelephone">Telephone</label>
                      <input type="text" class="form-control rounded-0" id="inputTelephone" placeholder="Telephone" required>
                    </div>
                    <div class="form-group col-md-4">
                      <label for="inputZipCode">Zip Code</label>
                      <input type="text" class="form-control rounded-0" id="inputZipCode" placeholder="Zip Code" required>
                    </div>
                  </div>
                  <div class="form-group">
                    <label for="inputNote">Note</label>
                    <input type="text" class="form-control rounded-0" id="inputNote" placeholder="Note" required>
                  </div>
                  //- <button class="btn btn-link" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                  //-   Collapsible Group Item #1
                  //- </button>
                  <div class='form-row'>
                    <div class="col-lg-6 col-md-6 col-sm-6">
                      <a href='' class='cart'>Kembali ke Keranjang belanja</a>
                    </div>
                    <div class="col-lg-6 col-md-6 col-sm-6" style="display: flex; justify-content: flex-end">
                      <input class="btn btn-primary next1 rounded-0" type="button" value="LANJUT KE METODE PEMBAYARAN">
                    </div>
                  </div>
                </form>
              </div>
            </div>
            <h5 class="card-header"> METODE PEMBAYARAN </h5>
            <div id="collapseTwo" class="collapse" aria-labelledby="collapseTwo" data-parent="#accordion">
              <div class="card-body">
                <div class='for-row'>
                  <p>Semua transaksi dienkripsi. Data kartu kredit tidak pernah disimpan.</p>
                </div>
                <div class='for-row'>
                  //- <p>Semua transaksi dienkripsi. Data kartu kredit tidak pernah disimpan.</p>
                  <div class="list-group">
                    <input type="radio" name="Pembayaran" value="transfer" id="transfer" onClick="methodePembayaran('transfer')" />
                    <label class="list-group-item" for="transfer">Transfer</label>
                      
                    <input type="radio" name="Pembayaran" value="cod" id="cod" onClick="methodePembayaran('cod')"/>
                    <label class="list-group-item" for="cod">COD</label>
                    
                  </div>
                </div>
                <br/>
                <div class='form-row'>
                  <div class="col-lg-6 col-md-6 col-sm-6">
                    <a href=''>Kembali ke Detail Pengiriman</a>
                  </div>
                  <div class="col-lg-6 col-md-6 col-sm-6" style="display: flex; justify-content: flex-end">
                    <input class="btn btn-primary next2 rounded-0" type="button" value="LANJUT KE DETAIL PENGIRIMAN">
                  </div>
                </div>
              </div>
            </div>
            <h5 class="card-header"> DETAIL PENGIRIMAN </h5>
            <div id="collapseThree" class="collapse" aria-labelledby="collapseThree" data-parent="#accordion">
              <div class="card-body">
                //- <div class="form-row">
                //- p#detail_pengiriman
                <h5>Alamat Pengiriman </h5>
                <label id='detail_name'></label><br/>
                <label id='detail_address'></label><br/>
                <label id='detail_subdistrict'></label><br/>
                <label id='detail_province'></label><br/>
                <strong>Phone: </strong><label id='detail_phone'></label><br/><br/>
                <h5>Pilih Jasa Pengiriman</h5>
                <div class='list-shipping'>
                  
                </div>
                <input type="checkbox" id="asuransi" name="asuransi" value="" onclick="asuransi()">
                <label for="asuransi">Asuransi</label><br>
                <br/>
                <div class='form-row'>
                  <div class="col-lg-6 col-md-6 col-sm-6">
                    <a href="">Kembali ke Metode Pembayaran</a>
                  </div>
                  <div class="col-lg-6 col-md-6 col-sm-6" style="display: flex; justify-content: flex-end">
                    <input class="btn btn-primary next3 rounded-0" type="button" value="PROSES PEMESANAN">
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="col col-lg-4">
          <div class="card rounded-0 order ">
            <div class="card-body">
              <h4 class="card-title text-center">DETAIL PESANAN</h4>
              p#demo   
              <div class="row border-top">
                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6">
                  <label>Sub Total</label>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6" style="display: flex; justify-content: flex-end">
                  <label id='sub_total'></label>
                </div>
              </div>
              //- <div class="row">
              //-   <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6">
              //-     <label>Diskon</label>
              //-   </div>
              //-   <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6" style="display: flex; justify-content: flex-end">
              //-     <label id='total_diskon'> </label>
              //-   </div>
              //- </div>
              <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6">
                  <label>Biaya Pengiriman</label>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6" style="display: flex; justify-content: flex-end">
                  <label id='biaya_pengiriman'> </label>
                </div>
              </div>
              <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6">
                  <label>Asuransi</label>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6" style="display: flex; justify-content: flex-end">
                  <label id='biaya_asuransi'> </label>
                </div>
              </div>
              <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6">
                  <label>Pajak</label>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6" style="display: flex; justify-content: flex-end">
                  <label id='pajak'> </label>
                </div>
              </div>
              <div class="row border-top">
                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6">
                  <b>Total</b>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6" style="display: flex; justify-content: flex-end">
                  <label id='total_price'> </label>
                </div>
              </div>
              <br/>
              <div class="row border-top metode_pembayaran" style='display:none'>
                <div class="col-lg-8 col-md-8 col-sm-8 col-xs-8">
                  <b>Metode Pembayaran:</b>
                </div>
                <div class="col-lg-4 col-md-4 col-sm-4 col-xs-4" style="display: flex; justify-content: flex-end">
                  <label id='metode_pembayaran'> </label>
                </div>
              </div>
            </div>
            <div class="card-body title-no-rek" style="display:none">
              <h5 class="card-title text-center">NO REK :</h4>
              <div class='list-norek'>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  